Loading...
Searching...
No Matches
websocketpp::transport::asio::custom_alloc_handler< Handler > Class Template Reference

## Public Member Functions

| custom_alloc_handler (handler_allocator &a, Handler h)
template<typename Arg1>
void | operator() (Arg1 arg1)
template<typename Arg1, typename Arg2>
void | operator() (Arg1 arg1, Arg2 arg2)

## Friends

void * | asio_handler_allocate (std::size_t size, custom_alloc_handler< Handler > *this_handler)
void | asio_handler_deallocate (void *pointer, std::size_t, custom_alloc_handler< Handler > *this_handler)

## Detailed Description

template<typename Handler>
class websocketpp::transport::asio::custom_alloc_handler< Handler >

Definition at line 92 of file base.hpp.

## Constructor & Destructor Documentation

## custom_alloc_handler()

template<typename Handler>

websocketpp::transport::asio::custom_alloc_handler< Handler >::custom_alloc_handler | ( | handler_allocator & | a,
|  | Handler | h )

inline

Definition at line 94 of file base.hpp.

## Member Function Documentation

## operator()() [1/2]

template<typename Handler>
template<typename Arg1>

void websocketpp::transport::asio::custom_alloc_handler< Handler >::operator() | ( | Arg1 | arg1 | ) |

inline

Definition at line 100 of file base.hpp.

## operator()() [2/2]

template<typename Handler>
template<typename Arg1, typename Arg2>

void websocketpp::transport::asio::custom_alloc_handler< Handler >::operator() | ( | Arg1 | arg1,
|  | Arg2 | arg2 )

inline

Definition at line 105 of file base.hpp.

## Friends And Related Symbol Documentation

## asio_handler_allocate

template<typename Handler>

void * asio_handler_allocate | ( | std::size_t | size,
|  | custom_alloc_handler< Handler > * | this_handler )

friend

Definition at line 109 of file base.hpp.

## asio_handler_deallocate

template<typename Handler>

void asio_handler_deallocate | ( | void * | pointer,
|  | std::size_t | ,
|  | custom_alloc_handler< Handler > * | this_handler )

friend

Definition at line 115 of file base.hpp.

The documentation for this class was generated from the following file:

- websocketpp/transport/asio/base.hpp